export interface XfConsumedetailVO {
  /**
   * 消费记录Id,主键
   */
  consumeId: string | number;

  /**
   * 人员Id
   */
  userId: string | number;

  /**
   * 学/工号
   */
  userNumb: string;

  /**
   * 用户姓名
   */
  realName: string;

  /**
   * 部门名称
   */
  deptName: string;

  /**
   * 消费日期
   */
  consumeDate: string;

  /**
   * 消费金额
   */
  consumeMoney: number;

  /**
   * 卡流水号
   */
  cardNo: number;

  /**
   * 物理卡号
   */
  factoryId: string | number;

  /**
   * 余额
   */
  cardValue: number;

  /**
   * 消费金额
   */
  consumeBalance: number;

  /**
   * 设备机号
   */
  termNo: number;

  /**
   * 设备名称
   */
  termName: string;

  /**
   * 状态标识（记录消费类型？）
   */
  statusFlag: number;

  /**
   * 房间名称
   */
  roomName: string;

  /**
   * 钱包类型
   */
  bagType: string;

  /**
   * 餐类Id
   */
  mealType: number;

}

export interface XfConsumedetailForm extends BaseEntity {
  /**
   * 消费记录Id,主键
   */
  consumeId?: string | number;

  /**
   * 人员Id
   */
  userId?: string | number;

  /**
   * 学/工号
   */
  userNumb?: string;

  /**
   * 用户姓名
   */
  realName?: string;

  /**
   * 部门名称
   */
  deptName?: string;

  /**
   * 消费日期
   */
  consumeDate?: string;

  /**
   * 消费金额
   */
  consumeMoney?: number;

  /**
   * 卡流水号
   */
  cardNo?: number;

  /**
   * 物理卡号
   */
  factoryId?: string | number;

  /**
   * 余额
   */
  cardValue?: number;

  /**
   * 消费金额
   */
  consumeBalance?: number;

  /**
   * 设备机号
   */
  termNo?: number;

  /**
   * 设备名称
   */
  termName?: string;

  /**
   * 状态标识（记录消费类型？）
   */
  statusFlag?: number;

  /**
   * 房间名称
   */
  roomName?: string;

  /**
   * 钱包类型
   */
  bagType?: string;

}

export interface XfConsumedetailQuery extends PageQuery {

  /**
   * 人员Id
   */
  userId?: string | number;

  /**
   * 学/工号
   */
  userNumb?: string;

  /**
   * 用户姓名
   */
  realName?: string;

  /**
   * 消费日期
   */
  consumeDate?: string;

  /**
   * 餐类Id
   */
  mealType?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



